Last Comment Bug 512378 - Port |Bug 506985 - remove java-specific preferences from Firefox UI, hidden prefs| to SeaMonkey 2.1
: Port |Bug 506985 - remove java-specific preferences from Firefox UI, hidden p...
Status: RESOLVED FIXED
: useless-UI
Product: SeaMonkey
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: seamonkey2.5
Assigned To: Edmund Wong (:ewong)
:
Mentors:
http://mxr.mozilla.org/comm-central/s...
: 672665 (view as bug list)
Depends on: 506985 521624 535594
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-24 17:52 PDT by Serge Gautherie (:sgautherie)
Modified: 2011-09-25 16:16 PDT (History)
6 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
wontfix
affected
fixed
fixed


Attachments
Removed java-specific preferences from SeaMonkey UI and hidden prefs. (2.80 KB, patch)
2011-07-09 08:22 PDT, Edmund Wong (:ewong)
iann_bugzilla: review-
bugzillamozillaorg_serge_20140323: feedback-
Details | Diff | Splinter Review
Removed java-specific preferences from SeaMonkey UI and hidden prefs and help. (v2) (6.84 KB, patch)
2011-07-09 18:54 PDT, Edmund Wong (:ewong)
iann_bugzilla: review+
bugzillamozillaorg_serge_20140323: feedback+
Details | Diff | Splinter Review
Removed java-specific preferences from SeaMonkey UI and hidden prefs and help. (v3) [Checked in: Comment 13] (7.14 KB, patch)
2011-07-11 06:12 PDT, Edmund Wong (:ewong)
ewong: review+
bugspam.Callek: approval‑comm‑aurora+
bugspam.Callek: approval‑comm‑beta+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2009-08-24 17:52:16 PDT
Remove obsolete preference (code).
Comment 1 Serge Gautherie (:sgautherie) 2009-08-24 17:54:33 PDT
This can wait until c-c branches.
Comment 2 Edmund Wong (:ewong) 2011-06-25 08:18:53 PDT
Serge, 2.1 has been released.  Which branch should this be ported for?
Comment 3 Serge Gautherie (:sgautherie) 2011-06-25 09:46:50 PDT
Summary:

*SeaMonkey skipped *-1.9.2.
*SeaMonkey 2.1 has been released: marking as WontFix there.
*SeaMonkey 2.2+ still want this, unless branch is already code frozen.

Remember to remove the 2 strings in non string frozen branches too:
http://mxr.mozilla.org/comm-central/search?string=enbJavaCheck.&case=1&find=%2Fsuite%2F
Comment 4 Ian Neal 2011-06-25 12:08:07 PDT
2.2 is string frozen
2.3 will be in the next week or so once 2.2 comes out
Comment 5 Edmund Wong (:ewong) 2011-07-09 08:22:33 PDT
Created attachment 544990 [details] [diff] [review]
Removed java-specific preferences from SeaMonkey UI and hidden prefs.
Comment 6 Serge Gautherie (:sgautherie) 2011-07-09 09:10:19 PDT
Comment on attachment 544990 [details] [diff] [review]
Removed java-specific preferences from SeaMonkey UI and hidden prefs.

Review of attachment 544990 [details] [diff] [review]:
-----------------------------------------------------------------

Clean /suite/profile/migration/src/ns*ProfileMigrator.cpp up too.

::: suite/locales/en-US/chrome/common/pref/pref-advanced.dtd
@@ +1,5 @@
>  <!--LOCALIZATION NOTE : FILE 'Advanced' prefs settings -->
>  <!ENTITY pref.advanced.title        "Advanced">
>  
>  <!ENTITY prefEnableJava.caption     "Features that help interpret web pages">
>  

Remove lines 4-5 too.
Comment 7 Ian Neal 2011-07-09 14:34:53 PDT
Comment on attachment 544990 [details] [diff] [review]
Removed java-specific preferences from SeaMonkey UI and hidden prefs.

As Serge said, u missed a line from the .dtd file and there is also the profile migration files.
http://mxr.mozilla.org/comm-central/search?string=security\.enable_java&regexp=on&find=&findi=&filter=^[^\0]*%24&hitlimit=&tree=comm-central
Should be just a matter of deleting the two lines that mention security.enable_java
Any help need updating too?
Comment 8 Edmund Wong (:ewong) 2011-07-09 18:54:58 PDT
Created attachment 545039 [details] [diff] [review]
Removed java-specific preferences from SeaMonkey UI and hidden prefs and help. (v2)
Comment 9 Serge Gautherie (:sgautherie) 2011-07-09 20:52:29 PDT
Comment on attachment 545039 [details] [diff] [review]
Removed java-specific preferences from SeaMonkey UI and hidden prefs and help. (v2)

Maybe "<p>The main Advanced preferences panel allows you to ..." should be kept, but updated to something more generic (= up-to-date at least)?
Comment 10 Serge Gautherie (:sgautherie) 2011-07-09 20:55:55 PDT
Comment on attachment 545039 [details] [diff] [review]
Removed java-specific preferences from SeaMonkey UI and hidden prefs and help. (v2)

>   <li class="unix"><strong>Use Preferences from System</strong>: Select this to
>     use the already set system preferences, overriding &brandShortName;&apos;
>     ones.

I don't have Linux, so I wonder: is this other pref (un)related to Java?
Comment 11 Ian Neal 2011-07-10 13:23:53 PDT
Comment on attachment 545039 [details] [diff] [review]
Removed java-specific preferences from SeaMonkey UI and hidden prefs and help. (v2)

>+++ b/suite/locales/en-US/chrome/common/help/cs_nav_prefs_advanced.xhtml
>@@ -46,23 +46,17 @@
>-<p>The main Advanced preferences panel allows you to enable or disable
>-  Java:</p>
Leave this in but change to <p class="unix"> and remove the "enable or disable Java" bit so it now reads:
<p class="unix">The main Advanced preferences panel allows you to:</p>

r=me with that sorted.
Comment 12 Edmund Wong (:ewong) 2011-07-11 06:12:51 PDT
Created attachment 545158 [details] [diff] [review]
Removed java-specific preferences from SeaMonkey UI and hidden prefs and help. (v3) [Checked in: Comment 13]
Comment 13 Ian Neal 2011-07-12 08:09:53 PDT
Comment on attachment 545158 [details] [diff] [review]
Removed java-specific preferences from SeaMonkey UI and hidden prefs and help. (v3) [Checked in: Comment 13]

http://hg.mozilla.org/comm-central/rev/f7b16da534a1
Comment 14 neil@parkwaycc.co.uk 2011-07-20 00:36:49 PDT
Is this worth a) relnoting b) landing non-l10n changes on branches?
Comment 15 neil@parkwaycc.co.uk 2011-07-20 00:38:10 PDT
*** Bug 672665 has been marked as a duplicate of this bug. ***
Comment 16 Jens Hatlak (:InvisibleSmiley) 2011-07-20 12:59:34 PDT
(In reply to comment #14)
> Is this worth a) relnoting

Sure, done (for 2.2 only, see next point).

> b) landing non-l10n changes on branches?

Having useless UI just adds confusion, so I'd vote for copying all changes except the pref-advanced.dtd ones to branches (given that Help changes are allowed as long as no files are added/removed/renamed).
Comment 17 Dick Hoffman 2011-07-21 09:51:14 PDT
This is not fixed in SM 2.2; the preference, albeit inoperative, is still present and checking the UI checkbox toggles it between True and False. The result is a  security exposure; the naive user thinks Java is being Enabled and Disabled but the default Enabled cannot be changed using the preference, but only via the Add-ons Manager.
Comment 18 Jens Hatlak (:InvisibleSmiley) 2011-07-21 11:08:10 PDT
(In reply to comment #17)
> This is not fixed in SM 2.2

No-one said it was. The Target Milestone is currently SM 2.5 and it has been relnoted for SM 2.2 (granted, only yesterday, see comment 16). If it won't make SM 2.3 or SM 2.4, it will be relnoted for these, too.
Comment 19 Jens Hatlak (:InvisibleSmiley) 2011-07-21 11:08:48 PDT
Comment on attachment 545158 [details] [diff] [review]
Removed java-specific preferences from SeaMonkey UI and hidden prefs and help. (v3) [Checked in: Comment 13]

Requesting permission to land everything but the pref-advanced.dtd changes on Aurora and Beta.
Comment 20 Justin Wood (:Callek) (Away until Aug 29) 2011-07-21 12:16:03 PDT
Comment on attachment 545158 [details] [diff] [review]
Removed java-specific preferences from SeaMonkey UI and hidden prefs and help. (v3) [Checked in: Comment 13]

a+ provided the .dtd does not land.
Comment 22 Axel Hecht [pto-Aug-30][:Pike] 2011-07-22 02:35:10 PDT
No idea how you guys handle this, but this did change the localizable help files.
Comment 23 Jens Hatlak (:InvisibleSmiley) 2011-07-22 02:59:40 PDT
(In reply to comment #22)
> No idea how you guys handle this, but this did change the localizable help
> files.

Our policy is that Help changes are allowed as long as no files are added/removed/renamed (see comment 16).

Note You need to log in before you can comment on or make changes to this bug.